/**
 * Meteor _localStorage instance methods.
 */
interface LocalStorage {
    getItem(key: string): string | null;
    removeItem(key: string): void;
    setItem(key: string, value: string): void;
}
declare const _default: {
    storage: LocalStorage;
    /**
     * Fetch and parse item from local storage.
     *
     * @param key
     */
    fetch(key: string): any;
    /**
     * Push the given value into local storage with the given key.
     *
     * @param key
     * @param value
     */
    set(key: string, value: any): void;
    /**
     * Remove the given item from local storage.
     *
     * @param key
     */
    remove(key: string): void;
};
export default _default;
