"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = new /** @class */ (function () {
    function BetterStorage() {
        // @ts-ignore
        this.storage = Meteor._localStorage || window.localStorage;
    }
    /**
     * Fetch and parse item from local storage.
     *
     * @param key
     */
    BetterStorage.prototype.fetch = function (key) {
        var item = this.storage.getItem(key) || 'null';
        return JSON.parse(item);
    };
    /**
     * Push the given value into local storage with the given key.
     *
     * @param key
     * @param value
     */
    BetterStorage.prototype.set = function (key, value) {
        this.storage.setItem(key, JSON.stringify(value));
    };
    /**
     * Remove the given item from local storage.
     *
     * @param key
     */
    BetterStorage.prototype.remove = function (key) {
        this.storage.removeItem(key);
    };
    return BetterStorage;
}());
//# sourceMappingURL=BetterStorage.js.map